OGRE: Ogre::MeshLodGenerator Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::MeshLodGenerator Class Reference
Optional Components » MeshLodGenerator

`#include <OgreMeshLodGenerator.h>`

Inheritance diagram for Ogre::MeshLodGenerator:
[legend]

## Public Member Functions
| MeshLodGenerator ()
| Generates the Lod levels for a mesh.
virtual | ~MeshLodGenerator ()
void | _generateManualLodLevels (LodConfig &lodConfig)
| If you only use manual Lod levels, then you don't need to build LodData mesh representation.
void | _resolveComponents (LodConfig &lodConfig, LodCollapseCostPtr &cost, LodDataPtr &data, LodInputProviderPtr &input, LodOutputProviderPtr &output, LodCollapserPtr &collapser)
void | clearPendingLodRequests ()
void | generateAutoconfiguredLodLevels (MeshPtr &mesh)
| Generates the Lod levels for a mesh without configuring it.
virtual void | generateLodLevels (LodConfig &lodConfig, LodCollapseCostPtr cost=LodCollapseCostPtr(), LodDataPtr data=LodDataPtr(), LodInputProviderPtr input=LodInputProviderPtr(), LodOutputProviderPtr output=LodOutputProviderPtr(), LodCollapserPtr collapser=LodCollapserPtr())
| Generates the Lod levels for a mesh.
void | getAutoconfig (MeshPtr &inMesh, LodConfig &outLodConfig)
| Fills Lod Config with a config, which works on any mesh.
LodWorkQueueInjectorListener * | getInjectorListener ()
void | removeInjectorListener ()
void | setInjectorListener (LodWorkQueueInjectorListener *injectorListener)
Public Member Functions inherited from Ogre::Singleton< MeshLodGenerator >
| ~Singleton (void)

## Static Public Member Functions
static void | _configureMeshLodUsage (const LodConfig &lodConfig)
static MeshLodGenerator & | getSingleton ()
static MeshLodGenerator * | getSingletonPtr ()
Static Public Member Functions inherited from Ogre::Singleton< MeshLodGenerator >
static MeshLodGenerator & | getSingleton (void)
| Get the singleton instance.
static MeshLodGenerator * | getSingletonPtr (void)
| Get the singleton instance.

## Constructor & Destructor Documentation

## ◆ MeshLodGenerator()

Ogre::MeshLodGenerator::MeshLodGenerator | ( |  | ) |

Generates the Lod levels for a mesh.

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~MeshLodGenerator()

virtual Ogre::MeshLodGenerator::~MeshLodGenerator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getSingletonPtr()

MeshLodGenerator * Ogre::MeshLodGenerator::getSingletonPtr | ( |  | ) |
| static

References MeshLodGenerator().

## ◆ getSingleton()

MeshLodGenerator & Ogre::MeshLodGenerator::getSingleton | ( |  | ) |
| static

References MeshLodGenerator().

## ◆ generateLodLevels()

virtual void Ogre::MeshLodGenerator::generateLodLevels | ( | LodConfig & | lodConfig,
|  | LodCollapseCostPtr | cost = LodCollapseCostPtr(),
|  | LodDataPtr | data = LodDataPtr(),
|  | LodInputProviderPtr | input = LodInputProviderPtr(),
|  | LodOutputProviderPtr | output = LodOutputProviderPtr(),
|  | LodCollapserPtr | collapser = LodCollapserPtr() )
| virtual

Generates the Lod levels for a mesh.

## ◆ generateAutoconfiguredLodLevels()

void Ogre::MeshLodGenerator::generateAutoconfiguredLodLevels | ( | MeshPtr & | mesh | ) |

Generates the Lod levels for a mesh without configuring it.

Parameters

  mesh | Generate the Lod for this mesh.

## ◆ getAutoconfig()

void Ogre::MeshLodGenerator::getAutoconfig | ( | MeshPtr & | inMesh,
|  | LodConfig & | outLodConfig )

Fills Lod Config with a config, which works on any mesh.

Parameters

  inMesh | Optimize for this mesh.
  outLodConfig | Lod configuration storing the output.

## ◆ clearPendingLodRequests()

void Ogre::MeshLodGenerator::clearPendingLodRequests | ( |  | ) |

## ◆ _configureMeshLodUsage()

void Ogre::MeshLodGenerator::_configureMeshLodUsage | ( | const LodConfig & | lodConfig | ) |
| static

## ◆ _resolveComponents()

void Ogre::MeshLodGenerator::_resolveComponents | ( | LodConfig & | lodConfig,
|  | LodCollapseCostPtr & | cost,
|  | LodDataPtr & | data,
|  | LodInputProviderPtr & | input,
|  | LodOutputProviderPtr & | output,
|  | LodCollapserPtr & | collapser )

## ◆ _generateManualLodLevels()

void Ogre::MeshLodGenerator::_generateManualLodLevels | ( | LodConfig & | lodConfig | ) |

If you only use manual Lod levels, then you don't need to build LodData mesh representation.

This function will generate manual Lod levels without overhead, but every Lod level needs to be a manual Lod level.

## ◆ setInjectorListener()

void Ogre::MeshLodGenerator::setInjectorListener | ( | LodWorkQueueInjectorListener * | injectorListener | ) |
| inline

## ◆ getInjectorListener()

LodWorkQueueInjectorListener * Ogre::MeshLodGenerator::getInjectorListener | ( |  | ) |
| inline

## ◆ removeInjectorListener()

void Ogre::MeshLodGenerator::removeInjectorListener | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- OgreMeshLodGenerator.h